#ifndef IZ_APP_H
#define IZ_APP_H

#include <SDL.h>
#ifdef __WIN32__
#include <getopt.h>
#else
#include <unistd.h>
#endif
#include "input/IZ_input.h"
#include "output/IZ_video.h"
#include "memory/IZ_pool.h"

typedef struct {
	IZ_InputState input_state;
	IZ_VideoState video_state;

	IZ_Pool pool;
	u64 ticks;
} IZ_App;

IZ_ProcedureResult IZ_AppRun(IZ_App*, u8, char**);

#endif
